
<?php
session_start();

 $usu=$_SESSION['username'];
 

$tipo_usu=$_SESSION['tipo_usu'];


require("../conexion.php");

include ("../funciones/fechas.php");


 $cdgcaj=$_POST["cdgcaj"];
 $numcie=$_POST["numcie"];
$fechainicio =$_POST["fechainicio"];
$fechafin    =$_POST["fechafin"];

$fechainicio = implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin    = implode("-", array_reverse(explode("-", $fechafin))); 


$cadena_busqueda=$_POST["cadena_busqueda"];
$estcie="1";
$borrado="0";
$cdgtipven="1";

$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";

if ($cdgcaj <> "") { $where.=" AND cdgcaj='$cdgcaj'"; }
//if ($feccie <> "") { $where.=" AND feccie='$fechainicio'"; }



if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND feccie between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND feccie>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND feccie<='".$fechafin."'";
		}
	}
}



$where.=" ORDER BY feccie DESC";

if ($result = $mysqli->query("SELECT * FROM cierres WHERE  ".$where )) {
   $filas = $result->num_rows;
}


?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		colorfondo;
		
		function modificar_Cierre(numcie) {
			parent.location.href="modificar_cierre.php?numcie=" + numcie;
		}
		
			function Ver_Cierre(numcie) {
			parent.location.href="Ver_cierre.php?numcie=" + numcie;
		}
		
		
		function Eliminar_Recibo(numcie) {
				
				parent.location.href="eliminar_cierre.php?numcie=" + numcie;
	
		}
		

		function imprimir(numcie) {
		
		parent.location.href="index.php";
	//window.open("../fpdf/imprimir_cierre.php?numcie=" + numcie);
		window.open("../fpdf/imprimir_cierre_PUNTO_VENTA.php?numcie=" + numcie);
		
		
		
		}
		
		
				function imprimir_pdf(numcie) {
		
		parent.location.href="index.php";
	//window.open("../fpdf/imprimir_cierre.php?numcie=" + numcie);
		window.open("../fpdf/imprimir_cierre.php?numcie=" + numcie);
		
		
		
		}

		

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalcierres.value=document.getElementById("totalcierres").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
		</script>
	</head>

	<body onload=inicio()>		
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalcierres" id="totalcierres" value="<?php ?>">
			
						<?php 
				 
if ( $filas > 0) {
 				 
$consulta = "SELECT * FROM cierres WHERE  ".$where ;

if ($resultado = $mysqli->query($consulta)) 
$contador=0;

 
    while ($fila = $resultado->fetch_assoc()) {
        $marcaestcie= $fila["estcie"];
        $cdgcaj = $fila["cdgcaj"];
        $feccie = $fila["feccie"];
		$feccie= implode("-", array_reverse(explode("-", $feccie)));
		$fecfin = $fila["fecfin"];
		$fecfin= implode("-", array_reverse(explode("-", $fecfin)));
        $mondif = $fila["mondif"];
		$numcie = $fila["numcie"];

		$consulta2 = "SELECT * FROM usuarios WHERE codusu='$cdgcaj'";
		$resultado2 = $mysqli->query($consulta2);
		$row = $resultado2->fetch_array();
		$filas_cajero =$resultado2->num_rows;

if ($filas_cajero > 0) { 
$nomcomusu = $row["nomcomusu"]; }else { $nomcomusu  = "DESCONOCIDO"; }

		
		if ($marcaestcie == 1) { $estcie="ABIERTO"; } else { $estcie="CERRADO"; } 
		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >


								<td width="13%"><div align="center"><?php echo $feccie?></div></td>
							
								<td width="10%"><div align="center"><?php echo $fecfin?></div></td>
								<td width="7%"><div align="center"><?php echo $cdgcaj?></div></td>	
								<td width="25%"><div align="left"><?php echo $nomcomusu?></div></td>							
								<td width="9%"><div align="right"><?php  if ($tipo_usu=="a"){  echo number_format($mondif,2,".",",");  }?></div></td>
							<td width="9%"><div align="CENTER"><?php echo $estcie ?></div></td>	
								<td width="7%"><div align="center"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="Ver_Cierre(<?php echo  $numcie ?>)" title="Visualizar"></a></div></td>
								<td width="6%" align="center"><a href="#"><img src="../img/Edit_Male_User_Icon_32.png" alt="modificar" width="25" height="25" border="0" title="Modificar" onClick="modificar_Cierre(<?php echo $numcie ?>)" ></a></td>
								<td width="6%"><div align="center"><a href="#"><img src="../img/Remove_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="Eliminar_Recibo(<?php  echo $numcie ?>)" title="Anular Recibo"></a></div></td>
						        <td width="4%"><div align="center"><img src="../img/print-icon (5).png" width="25" height="25" border="0" onClick="imprimir_pdf(<?php echo  $numcie?>)" title="Imprimir Cierre PDF"></a></div></td>
						        <td width="4%"><div align="center"><img src="../img/punto_venta.fw.png" alt="ds" width="25" height="25" border="0" title="Imprimir Cierre PUNTO VENTA" onClick="imprimir(<?php echo  $numcie?>)"></div></td>
						</tr>
						<tr><td colspan="2"></tr>	
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php  echo "No hay ningun Cierre que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
			  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>
